### Method

# FwupdPlugin UdevDevice list_sysfs

since: 2.0.9

#### Declaration [src]

    GPtrArray*
    fu_udev_device_list_sysfs (
      FuUdevDevice* self
      GError** error
    )

#### Description [src]

Lists all the sysfs attributes.

Available since: 2.0.9

#### Return value

Type: An array of `utf8`

Basenames, or `NULL`.

The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.